Subject: Re: csih: Patch getVolInfo.c
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: Eric Blake <[email-masked]>
Date: Wed, 22 Jul 2009 21:26:57 +0200
List-Id: <cygwin.cygwin.com>

Eric,

On Jul 22 20:54, Corinna Vinschen wrote:
> Hi Chuck,
> 
> today I found a filesystem, HGFS, which is sensible against using just
> the READ_CONTROL flag in calls to NtOpenFile.  The result is a
> STATUS_INVALID_PARAMETER status code.
> 
> However, for access to the filesystem information, the READ_CONTROL
> isn't necessary.  A desired access of 0 is sufficient in every case
> I could lay my hands on (NTFS, NFS, Samba, FAT32, HGFS).
> 
> So I just applied a patch to Cygwin to fetch filesystem information
> with access set to 0.

along these lines, can you please test the change to mount.cc on MVFS?
It would be a pity if MVFS would be broken again due to this change,
after having gone through all the hassle of the last days.

Thanks,
Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple